Attribute VB_Name = "Module1"
Public Rhino As Object
Public Declare Function SetParent Lib "user32" (ByVal hWndChild As Long, ByVal hWndNewParent As Long) As Long
Public Declare Function SetWindowPos Lib "user32" (ByVal hwnd As Long, ByVal hWndInsertAfter As Long, ByVal x As Long, ByVal y As Long, ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long) As Long


Public Sub StayOnTop(frmForm As Form, fOnTop As Boolean, Bottom As Boolean)
Const HWND_TOPMOST = -1
Const HWND_NOTOPMOST = -2
Const HWND_BOTTOM = 1
Const HWND_TOP = 0
Dim lState As Long, iLeft As Integer, iTop As Integer, iWidth As Integer, iHeight As Integer

With frmForm
 iLeft = .Left / Screen.TwipsPerPixelX
 iTop = .Top / Screen.TwipsPerPixelY
 iWidth = .Width / Screen.TwipsPerPixelX
 iHeight = .Height / Screen.TwipsPerPixelY
End With

If Bottom = False Then
If fOnTop Then
   lState = HWND_TOPMOST
Else
   lState = HWND_NOTOPMOST
End If
Else
   lState = HWND_BOTTOM
End If
Call SetWindowPos(frmForm.hwnd, lState, iLeft, iTop, iWidth, iHeight, 0)
End Sub
